#include <oxstd.h>
#include <oxdraw.h>
#include <arma.h>
#include <oxfloat.h>

main()
{
//--------------       Figure 1      -------------------------------------------
    decl mY, mX, mY1, mX1, mY2, mX2, asY, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, iBoxIndex ;
	decl iArea, iArea1, dX1,  dY1, sText, sText1, sText2, iFontNo, iFontSize, iTitle, iRotation ;
	SetDrawWindow("FIGURE 1");
    //   Create the data
    mX = loadmat("Data.xls")[][0];	mY = loadmat("Data.xls")[][1]; 
//   Draw the chart with the mY data
    DrawTMatrix(0,mX', "IP", 1947,1,12, 1, 1);
    DrawTMatrix(1,mY', "UR", 1947,1,12, 1, 1);

//	DrawTMatrix(4,mY1', "m\Delta logUN", 1947,2,12, 0, 4);
//    DrawTMatrix(5,mY2', "m\Delta$^{12}$logUN", 1948,1,12, 0, 4);
//   Settings for coloured rectangle to be shaded in chart
     dLowerLeftY    = 1;	     dUpperLeftY = 110;	 // 
     iBoxIndex = 9;
	  dLowerLeftX = 1948+11/12;
     dUpperLeftX    = 1949+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1953+7/12;
     dUpperLeftX    = 1954+5/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1957+8/12;
     dUpperLeftX    = 1958+4/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1960+4/12;
     dUpperLeftX    = 1961+2/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1969+12/12;
     dUpperLeftX    = 1970+11/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1973+11/12;
     dUpperLeftX    = 1975+3/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1980+1/12;
     dUpperLeftX    = 1980+7/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1981+7/12;
     dUpperLeftX    = 1982+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
   	 dLowerLeftX = 1990+7/12;
     dUpperLeftX    = 1991+2/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
  	 dLowerLeftX = 2001+3/12;
     dUpperLeftX    = 2001+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 2007+12/12;
     dUpperLeftX    = 2009+6/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);

	 //   Settings for Title and Axes definition to be added in the chart
     iArea= 0; sText= "Monthly Index of U.S. Industrial Production (Seasonally Adjusted)"; sText1= "Level";  dX1= 0; dY1= 4; iFontNo=0; iFontSize=330;  iRotation=90; 
	 DrawText( iArea, sText,  4,  3, iFontNo, iFontSize, 1, iRotation);
	 DrawText( iArea, sText1,  dX1,  dY1, iFontNo, iFontSize, 3, iRotation);
  //   Settings for NBER Recession dates
	 dLowerLeftY    = 0;	     dUpperLeftY = 12;	 // 
     iBoxIndex = 9;
	 dLowerLeftX = 1948+11/12;
     dUpperLeftX    = 1949+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1953+7/12;
     dUpperLeftX    = 1954+5/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1957+8/12;
     dUpperLeftX    = 1958+4/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1960+4/12;
     dUpperLeftX    = 1961+2/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1969+12/12;
     dUpperLeftX    = 1970+11/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1973+11/12;
     dUpperLeftX    = 1975+3/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1980+1/12;
     dUpperLeftX    = 1980+7/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1981+7/12;
     dUpperLeftX    = 1982+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
   	 dLowerLeftX = 1990+7/12;
     dUpperLeftX    = 1991+2/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
  	 dLowerLeftX = 2001+3/12;
     dUpperLeftX    = 2001+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 2007+12/12;
     dUpperLeftX    = 2009+6/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
 //   Settings for Title and Axes definition to be added in the chart
     iArea= 1; sText= "Monthly Rate of U.S. Unemployment (Seasonally Adjusted)"; sText1= "Level"; sText2= "Date"; dX1= 0; dY1= 4; iFontNo=0; iFontSize=330;  iRotation=90; 
	 DrawText( iArea, sText,  dX1,  dY1, iFontNo, iFontSize, 1, iRotation);
	 DrawText( iArea, sText1,  dX1,  dY1, iFontNo, iFontSize, 3, iRotation);
	 DrawText( iArea, sText2,  dX1,  dY1, iFontNo, iFontSize, 2, iRotation);

     ShowDrawWindow();
//--------------    Figure 2 -------------------------------------------	  
	SetDrawWindow("FIGURE 2");
	   
		 mX1 = loadmat("Data.xls")[][4];  mX2 = loadmat("Data.xls")[][5];
		 mY1 = loadmat("Data.xls")[][6];  mY2 = loadmat("Data.xls")[][7];
	//   Settings for Title and Axes definition to be added in the chart
	DrawTMatrix(0,100*mX1'|100*mY1', {"IP", "UR"}, 1947,2,12, 0, 27);  DrawText( 0, "100*\Delta logs",  dX1,  dY1, 0, -1, 3); 
    DrawTMatrix(1,100*mX2'|100*mY2', {"IP", "UR"}, 1947,1,12, 0, 27);  DrawText( 1, "100*\Delta$^{12}$logs",  dX1,  dY1, 0, -1, 3);
	 //   Settings for Title and Axes definition to be added in the chart
     iArea= 0; sText= "Monthly growth rates"; sText1= "100*\Delta logs";  dX1= 0; dY1= 4; iFontNo=0; iFontSize=330;  iRotation=90; 
	 DrawText( iArea, sText,  4,  3, iFontNo, iFontSize, 1, iRotation);
	 DrawText( iArea, sText1,  dX1,  dY1, iFontNo, iFontSize, 3, iRotation);
  //   Settings for NBER Recession dates

      dLowerLeftY    = -35;	     dUpperLeftY = 25;	 // 
     iBoxIndex = 9;
	  dLowerLeftX = 1948+11/12;
     dUpperLeftX    = 1949+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1953+7/12;
     dUpperLeftX    = 1954+5/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1957+8/12;
     dUpperLeftX    = 1958+4/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1960+4/12;
     dUpperLeftX    = 1961+2/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1969+12/12;
     dUpperLeftX    = 1970+11/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1973+11/12;
     dUpperLeftX    = 1975+3/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1980+1/12;
     dUpperLeftX    = 1980+7/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1981+7/12;
     dUpperLeftX    = 1982+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
   	 dLowerLeftX = 1990+7/12;
     dUpperLeftX    = 1991+2/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
  	 dLowerLeftX = 2001+3/12;
     dUpperLeftX    = 2001+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 2007+12/12;
     dUpperLeftX    = 2009+6/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);

	 dLowerLeftY    = -100;	     dUpperLeftY = 80;	 // 
     iBoxIndex = 9;
	 dLowerLeftX = 1948+11/12;
     dUpperLeftX    = 1949+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1953+7/12;
     dUpperLeftX    = 1954+5/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1957+8/12;
     dUpperLeftX    = 1958+4/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1960+4/12;
     dUpperLeftX    = 1961+2/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1969+12/12;
     dUpperLeftX    = 1970+11/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1973+11/12;
     dUpperLeftX    = 1975+3/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1980+1/12;
     dUpperLeftX    = 1980+7/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1981+7/12;
     dUpperLeftX    = 1982+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
   	 dLowerLeftX = 1990+7/12;
     dUpperLeftX    = 1991+2/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
  	 dLowerLeftX = 2001+3/12;
     dUpperLeftX    = 2001+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 2007+12/12;
     dUpperLeftX    = 2009+6/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
 //   Settings for Title and Axes definition to be added in the chart
     iArea= 1; sText= "Yearly growth rates"; sText1= "100*\Delta$^{12}$logs"; sText2= "Date"; dX1= 0; dY1= 4; iFontNo=0; iFontSize=330;  iRotation=90; 
	 DrawText( iArea, sText,  dX1,  dY1, iFontNo, iFontSize, 1, iRotation);
	 DrawText( iArea, sText1,  dX1,  dY1, iFontNo, iFontSize, 3, iRotation);
	 DrawText( iArea, sText2,  dX1,  dY1, iFontNo, iFontSize, 2, iRotation);
		ShowDrawWindow();
//--------------       Figure 3      -------------------------------------------
    decl mZ, mK, mZ1, mK1, mZ2, mK2, asZ;
	SetDrawWindow("FIGURE 3");
    //   Create the data
    mZ = loadmat("qData.xls")[][0];	mK = loadmat("qData.xls")[][1]; 
//   Draw the chart with the mY data
    DrawTMatrix(0,mZ', "IP", 1947,1,4, 1, 1);
    DrawTMatrix(1,mK', "UR", 1947,1,4, 1, 1);

//	DrawTMatrix(4,mY1', "m\Delta logUN", 1947,2,12, 0, 4);
//    DrawTMatrix(5,mY2', "m\Delta$^{12}$logUN", 1948,1,12, 0, 4);
//   Settings for coloured rectangle to be shaded in chart
     dLowerLeftY    = 1;	     dUpperLeftY = 110;	 // 
     iBoxIndex = 9;
	  dLowerLeftX = 1948+11/12;
     dUpperLeftX    = 1949+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1953+7/12;
     dUpperLeftX    = 1954+5/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1957+8/12;
     dUpperLeftX    = 1958+4/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1960+4/12;
     dUpperLeftX    = 1961+2/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1969+12/12;
     dUpperLeftX    = 1970+11/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1973+11/12;
     dUpperLeftX    = 1975+3/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1980+1/12;
     dUpperLeftX    = 1980+7/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1981+7/12;
     dUpperLeftX    = 1982+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
   	 dLowerLeftX = 1990+7/12;
     dUpperLeftX    = 1991+2/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
  	 dLowerLeftX = 2001+3/12;
     dUpperLeftX    = 2001+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 2007+12/12;
     dUpperLeftX    = 2009+6/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);

	 //   Settings for Title and Axes definition to be added in the chart
     iArea= 0; sText= "Quarterly Index of U.S. Industrial Production (Seasonally Adjusted)"; sText1= "Level";  dX1= 0; dY1= 4; iFontNo=0; iFontSize=330;  iRotation=90; 
	 DrawText( iArea, sText,  4,  3, iFontNo, iFontSize, 1, iRotation);
	 DrawText( iArea, sText1,  dX1,  dY1, iFontNo, iFontSize, 3, iRotation);
  //   Settings for NBER Recession dates
	 dLowerLeftY    = 0;	     dUpperLeftY = 12;	 // 
     iBoxIndex = 9;
	 dLowerLeftX = 1948+11/12;
     dUpperLeftX    = 1949+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1953+7/12;
     dUpperLeftX    = 1954+5/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1957+8/12;
     dUpperLeftX    = 1958+4/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1960+4/12;
     dUpperLeftX    = 1961+2/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1969+12/12;
     dUpperLeftX    = 1970+11/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1973+11/12;
     dUpperLeftX    = 1975+3/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1980+1/12;
     dUpperLeftX    = 1980+7/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1981+7/12;
     dUpperLeftX    = 1982+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
   	 dLowerLeftX = 1990+7/12;
     dUpperLeftX    = 1991+2/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
  	 dLowerLeftX = 2001+3/12;
     dUpperLeftX    = 2001+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 2007+12/12;
     dUpperLeftX    = 2009+6/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
 //   Settings for Title and Axes definition to be added in the chart
     iArea= 1; sText= "Quarterly Rate of U.S. Unemployment (Seasonally Adjusted)"; sText1= "Level"; sText2= "Date"; dX1= 0; dY1= 4; iFontNo=0; iFontSize=330;  iRotation=90; 
	 DrawText( iArea, sText,  dX1,  dY1, iFontNo, iFontSize, 1, iRotation);
	 DrawText( iArea, sText1,  dX1,  dY1, iFontNo, iFontSize, 3, iRotation);
	 DrawText( iArea, sText2,  dX1,  dY1, iFontNo, iFontSize, 2, iRotation);
   		ShowDrawWindow();

//--------------       Figure 4      -------------------------------------------
	SetDrawWindow("FIGURE 4");
		 mZ1 = loadmat("qData.xls")[][4];  mZ2 = loadmat("qData.xls")[][6];
		 mK1 = loadmat("qData.xls")[][5];  mK2 = loadmat("qData.xls")[][7];
	//   Settings for Title and Axes definition to be added in the chart
	DrawTMatrix(0,100*mZ1'|100*mK1', {"IP", "UR"}, 1947,2,4, 0, 27);  DrawText( 0, "100*\Delta logs",  dX1,  dY1, 0, -1, 3); 
    DrawTMatrix(1,100*mZ2'|100*mK2', {"IP", "UR"}, 1947,1,4, 0, 27);  DrawText( 1, "100*\Delta$^{4}$logs",  dX1,  dY1, 0, -1, 3);
	 //   Settings for Title and Axes definition to be added in the chart
     iArea= 0; sText= "Quarterly growth rates"; sText1= "100*\Delta logs";  dX1= 0; dY1= 4; iFontNo=0; iFontSize=330;  iRotation=90; 
	 DrawText( iArea, sText,  4,  3, iFontNo, iFontSize, 1, iRotation);
	 DrawText( iArea, sText1,  dX1,  dY1, iFontNo, iFontSize, 3, iRotation);

  //   Settings for NBER Recession dates

      dLowerLeftY    = -100;	     dUpperLeftY = 90;	 // 
     iBoxIndex = 9;
	  dLowerLeftX = 1948+11/12;
     dUpperLeftX    = 1949+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1953+7/12;
     dUpperLeftX    = 1954+5/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1957+8/12;
     dUpperLeftX    = 1958+4/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1960+4/12;
     dUpperLeftX    = 1961+2/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1969+12/12;
     dUpperLeftX    = 1970+11/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1973+11/12;
     dUpperLeftX    = 1975+3/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1980+1/12;
     dUpperLeftX    = 1980+7/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1981+7/12;
     dUpperLeftX    = 1982+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
   	 dLowerLeftX = 1990+7/12;
     dUpperLeftX    = 1991+2/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
  	 dLowerLeftX = 2001+3/12;
     dUpperLeftX    = 2001+10/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 2007+12/12;
     dUpperLeftX    = 2009+6/12;
     DrawSymbol(0, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);

	 dLowerLeftY    = -100;	     dUpperLeftY = 80;	 // 
     iBoxIndex = 9;
	 dLowerLeftX = 1948+11/12;
     dUpperLeftX    = 1949+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1953+7/12;
     dUpperLeftX    = 1954+5/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1957+8/12;
     dUpperLeftX    = 1958+4/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1960+4/12;
     dUpperLeftX    = 1961+2/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1969+12/12;
     dUpperLeftX    = 1970+11/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1973+11/12;
     dUpperLeftX    = 1975+3/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1980+1/12;
     dUpperLeftX    = 1980+7/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 1981+7/12;
     dUpperLeftX    = 1982+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
   	 dLowerLeftX = 1990+7/12;
     dUpperLeftX    = 1991+2/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
  	 dLowerLeftX = 2001+3/12;
     dUpperLeftX    = 2001+10/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
	 dLowerLeftX = 2007+12/12;
     dUpperLeftX    = 2009+6/12;
     DrawSymbol(1, dLowerLeftX, dLowerLeftY, dUpperLeftX, dUpperLeftY, PL_FILLBOX, iBoxIndex);
 //   Settings for Title and Axes definition to be added in the chart
     iArea= 1; sText= "Yearly growth rates"; sText1= "100*\Delta$^{4}$logs"; sText2= "Date"; dX1= 0; dY1= 4; iFontNo=0; iFontSize=330;  iRotation=90; 
	 DrawText( iArea, sText,  dX1,  dY1, iFontNo, iFontSize, 1, iRotation);
	 DrawText( iArea, sText1,  dX1,  dY1, iFontNo, iFontSize, 3, iRotation);
	 DrawText( iArea, sText2,  dX1,  dY1, iFontNo, iFontSize, 2, iRotation);

     ShowDrawWindow();
}
